summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-backup/bareos/files')
-rw-r--r--app-backup/bareos/files/bareos-12.4.5-Makefile.patch27
-rw-r--r--app-backup/bareos/files/bareos-12.4.5-bat-ldflags.patch11
-rw-r--r--app-backup/bareos/files/bareos-dir.confd18
-rw-r--r--app-backup/bareos/files/bareos-dir.initd22
-rw-r--r--app-backup/bareos/files/bareos-fd.confd8
-rw-r--r--app-backup/bareos/files/bareos-fd.initd22
-rw-r--r--app-backup/bareos/files/bareos-sd.confd11
-rw-r--r--app-backup/bareos/files/bareos-sd.initd22
8 files changed, 141 insertions, 0 deletions
diff --git a/app-backup/bareos/files/bareos-12.4.5-Makefile.patch b/app-backup/bareos/files/bareos-12.4.5-Makefile.patch
new file mode 100644
index 000000000000..3cdee15d4db7
--- /dev/null
+++ b/app-backup/bareos/files/bareos-12.4.5-Makefile.patch
@@ -0,0 +1,27 @@
+# stop build if there are errors in subdirs
+--- Makefile.in.orig 2010-07-20 16:53:44.000000000 +0000
++++ Makefile.in 2010-07-20 16:55:50.000000000 +0000
+@@ -44,9 +44,8 @@
+
+ all: Makefile
+ @for I in ${all_subdirs}; \
+- do (cd $$I; echo "==>Entering directory `pwd`"; \
+- $(MAKE) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo " ====== Error in `pwd` ======"; \
+- echo ""; echo ""; exit 1;)); \
++ do \
++ $(MAKE) DESTDIR=$(DESTDIR) -C $$I $@ || exit 1; \
+ done
+
+ depend:
+@@ -55,9 +54,8 @@
+
+ bacula-fd: Makefile
+ @for I in ${fd_subdirs}; \
+- do (cd $$I; echo "==>Entering directory `pwd`"; \
+- $(MAKE) DESTDIR=$(DESTDIR) all || (echo ""; echo ""; echo " ====== Error in `pwd` ======"; \
+- echo ""; echo ""; exit 1;)); \
++ do \
++ $(MAKE) DESTDIR=$(DESTDIR) -C $$I all || exit 1; \
+ done
+
+ #-------------------------------------------------------------------------
diff --git a/app-backup/bareos/files/bareos-12.4.5-bat-ldflags.patch b/app-backup/bareos/files/bareos-12.4.5-bat-ldflags.patch
new file mode 100644
index 000000000000..94d8fb60120e
--- /dev/null
+++ b/app-backup/bareos/files/bareos-12.4.5-bat-ldflags.patch
@@ -0,0 +1,11 @@
+# bat needs to respect LDFLAGS
+--- src/qt-console/bat.pro.in.orig 2010-07-20 18:28:50.000000000 +0000
++++ src/qt-console/bat.pro.in 2010-07-20 18:29:25.000000000 +0000
+@@ -26,6 +26,7 @@
+ QMAKE_LINK = $${LIBTOOL_LINK} $(CXX)
+ QMAKE_INSTALL_PROGRAM = $${LIBTOOL_INSTALL} install -m @SBINPERM@ -p
+ QMAKE_CLEAN += .libs/* bat
++QMAKE_LFLAGS += @LDFLAGS@
+
+ qwt {
+ INCLUDEPATH += @QWT_INC@
diff --git a/app-backup/bareos/files/bareos-dir.confd b/app-backup/bareos/files/bareos-dir.confd
new file mode 100644
index 000000000000..441cf4cbefdb
--- /dev/null
+++ b/app-backup/bareos/files/bareos-dir.confd
@@ -0,0 +1,18 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Config file for /etc/init.d/bareos-dir
+
+# Bareos can use more than one catalog database and each one can
+# be of any supported type.
+# If a database server where you store a bareos catalog
+# is on a different machine, you might want to remove the corresponding
+# type from the rc_need variable.
+rc_need="%databasetypes%"
+
+# Options for the director daemon.
+# The director can be run as a non-root user, however
+# please ensure that this user has proper permissions to
+# access your backup devices.
+DIR_OPTIONS="-u root -g bareos -c /etc/bareos/bareos-dir.conf"
diff --git a/app-backup/bareos/files/bareos-dir.initd b/app-backup/bareos/files/bareos-dir.initd
new file mode 100644
index 000000000000..5e508f9fce43
--- /dev/null
+++ b/app-backup/bareos/files/bareos-dir.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ use dns bareos-fd bareos-sd
+}
+
+start() {
+ ebegin "Starting bareos director"
+ checkpath -d -m 0750 -o bareos:bareos /run/bareos
+ start-stop-daemon --start --quiet --exec /usr/sbin/bareos-dir \
+ -- ${DIR_OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping bareos director"
+ start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-dir.*.pid
+ eend $?
+}
diff --git a/app-backup/bareos/files/bareos-fd.confd b/app-backup/bareos/files/bareos-fd.confd
new file mode 100644
index 000000000000..05bc77742a84
--- /dev/null
+++ b/app-backup/bareos/files/bareos-fd.confd
@@ -0,0 +1,8 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Config file for /etc/init.d/bareos-fd
+
+# Options for the file daemon.
+FD_OPTIONS="-u root -g bareos -c /etc/bareos/bareos-fd.conf"
diff --git a/app-backup/bareos/files/bareos-fd.initd b/app-backup/bareos/files/bareos-fd.initd
new file mode 100644
index 000000000000..7f2491599c5e
--- /dev/null
+++ b/app-backup/bareos/files/bareos-fd.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ use dns
+}
+
+start() {
+ ebegin "Starting bareos file daemon"
+ checkpath -d -m 0750 /run/bareos
+ start-stop-daemon --start --quiet --exec /usr/sbin/bareos-fd \
+ -- ${FD_OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping bareos file daemon"
+ start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-fd.*.pid
+ eend $?
+}
diff --git a/app-backup/bareos/files/bareos-sd.confd b/app-backup/bareos/files/bareos-sd.confd
new file mode 100644
index 000000000000..3a688ffb5d15
--- /dev/null
+++ b/app-backup/bareos/files/bareos-sd.confd
@@ -0,0 +1,11 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Config file for /etc/init.d/bareos-sd
+
+# Options for the storage daemon.
+# The storage daemon can be run as a non-root user, however
+# please ensure that this user has proper permissions to
+# access your backup devices.
+SD_OPTIONS="-u root -g bareos -c /etc/bareos/bareos-sd.conf"
diff --git a/app-backup/bareos/files/bareos-sd.initd b/app-backup/bareos/files/bareos-sd.initd
new file mode 100644
index 000000000000..e37df1af6afd
--- /dev/null
+++ b/app-backup/bareos/files/bareos-sd.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ use dns
+}
+
+start() {
+ ebegin "Starting bareos storage daemon"
+ checkpath -d -m 0750 -o bareos:bareos /run/bareos
+ start-stop-daemon --start --quiet --exec /usr/sbin/bareos-sd \
+ -- ${SD_OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping bareos storage daemon"
+ start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-sd.*.pid
+ eend $?
+}